# Generated by Django 2.0.6 on 2018-07-02 04:59

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('meetup', '0009_auto_20180629_1006'),
    ]

    operations = [
        migrations.CreateModel(
            name='EventImage',
            fields=[
                ('id', models.AutoField(db_index=True, primary_key=True, serialize=False)),
                ('url', models.CharField(max_length=1000)),
                ('created_at', models.DateTimeField(default=datetime.datetime(2018, 7, 2, 4, 59, 8, 605312))),
            ],
            options={
                'ordering': ['-created_at'],
            },
        ),
        migrations.AlterModelOptions(
            name='comment',
            options={'ordering': ['-created_at']},
        ),
        migrations.RemoveField(
            model_name='event',
            name='image',
        ),
        migrations.AlterField(
            model_name='comment',
            name='created_at',
            field=models.DateTimeField(default=datetime.datetime(2018, 7, 2, 4, 59, 8, 583264)),
        ),
        migrations.AlterField(
            model_name='comment',
            name='updated_at',
            field=models.DateTimeField(default=datetime.datetime(2018, 7, 2, 4, 59, 8, 583279)),
        ),
        migrations.AlterField(
            model_name='event',
            name='endTimeEvent',
            field=models.DateTimeField(default=datetime.datetime(2018, 7, 2, 4, 59, 8, 582644)),
        ),
        migrations.AlterField(
            model_name='eventlike',
            name='timeLike',
            field=models.DateTimeField(default=datetime.datetime(2018, 7, 2, 4, 59, 8, 584601)),
        ),
        migrations.AlterField(
            model_name='eventvisitor',
            name='timeJoin',
            field=models.DateTimeField(default=datetime.datetime(2018, 7, 2, 4, 59, 8, 583933)),
        ),
        migrations.AddField(
            model_name='eventimage',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meetup.Event'),
        ),
        migrations.AddIndex(
            model_name='eventimage',
            index=models.Index(fields=['id'], name='meetup_even_id_20efa2_idx'),
        ),
        migrations.AddIndex(
            model_name='eventimage',
            index=models.Index(fields=['event'], name='meetup_even_event_i_3abe1f_idx'),
        ),
    ]
